namespace RedHotRoast
{
    public static class ModuleManagerRegister
    {
        public static void AutoRegisterModel()
        {
            ModuleManager moduleManager = ModuleManager.Instance;
            moduleManager.AddModel(ModelConst.RewardAniModel, new RewardAniModel());
            moduleManager.AddModel(ModelConst.GameLoginModel, new GameLoginModel());
            moduleManager.AddModel(ModelConst.JoastModel, new JoastModel());
            moduleManager.AddModel(ModelConst.LoadingModel, new LoadingModel());
            moduleManager.AddModel(ModelConst.MenuModel, new MenuModel());
            moduleManager.AddModel(ModelConst.LanguageViewModel, new LanguageViewModel());
            moduleManager.AddModel(ModelConst.NetLoadingModel, new NetLoadingModel());
            moduleManager.AddModel(ModelConst.OpenBgModel, new OpenBgModel());
            moduleManager.AddModel(ModelConst.PrivacyModel, new PrivacyModel());
            moduleManager.AddModel(ModelConst.RewardModel, new RewardModel());
            moduleManager.AddModel(ModelConst.RainPlayModel, new RainPlayModel());
            moduleManager.AddModel(ModelConst.ChoosePropModel, new ChoosePropModel());
            moduleManager.AddModel(ModelConst.BuyPropModel, new BuyPropModel());
            moduleManager.AddModel(ModelConst.GameResultModel, new GameResultModel());
            moduleManager.AddModel(ModelConst.AddViewModel, new AddViewModel());
            moduleManager.AddModel(ModelConst.OpenGameModel, new OpenGameModel());
            moduleManager.AddModel(ModelConst.NewTaskModel, new NewTaskModel());
            moduleManager.AddModel(ModelConst.GetTaskRewardModel, new GetTaskRewardModel());
            moduleManager.AddModel(ModelConst.RewardboxModel, new RewardboxModel());
            moduleManager.AddModel(ModelConst.PayloadingModel, new PayloadingModel());
            moduleManager.AddModel(ModelConst.FirstRewardModel, new FirstRewardModel());
            moduleManager.AddModel(ModelConst.HallModel, new HallModel());
            moduleManager.AddModel(ModelConst.FXWndModel, new FXWndModel());
            moduleManager.AddModel(ModelConst.SignInViewModel, new SignInViewModel());
            moduleManager.AddModel(ModelConst.WheelViewModel, new WheelViewModel());
            moduleManager.AddModel(ModelConst.PassViewModel, new PassViewModel());
            moduleManager.AddModel(ModelConst.PassunlockModel, new PassunlockModel());
            moduleManager.AddModel(ModelConst.BuygoldModel, new BuygoldModel());
            moduleManager.AddModel(ModelConst.AdcomingModel, new AdcomingModel());
            moduleManager.AddModel(ModelConst.MainTabModel, new MainTabModel());
            moduleManager.AddModel(ModelConst.MailViewModel, new MailViewModel());
            moduleManager.AddModel(ModelConst.PersonViewModel, new PersonViewModel());
            moduleManager.AddModel(ModelConst.GuideViewModel, new GuideViewModel());
            moduleManager.AddModel(ModelConst.TipsViewModel, new TipsViewModel());
            moduleManager.AddModel(ModelConst.RecordViewModel, new RecordViewModel());
            moduleManager.AddModel(ModelConst.ThreeDaysGiftModel, new ThreeDaysGiftModel());
            moduleManager.AddModel(ModelConst.RewardMulNewModel, new RewardMulNewModel());
            moduleManager.AddModel(ModelConst.LuckyPackModel, new LuckyPackModel());
            moduleManager.AddModel(ModelConst.NewEndModel, new NewEndModel());
            moduleManager.AddModel(ModelConst.UnlockLevelModel, new UnlockLevelModel());
            moduleManager.AddModel(ModelConst.AlubumModel, new AlubumModel());
            moduleManager.AddModel(ModelConst.AlbumDetailModel, new AlbumDetailModel());
            moduleManager.AddModel(ModelConst.LiveModel, new LiveModel());
            moduleManager.AddModel(ModelConst.LiveDetailModel, new LiveDetailModel());
            moduleManager.AddModel(ModelConst.SecretAlbumsModel, new SecretAlbumsModel());
            moduleManager.AddModel(ModelConst.SecretUnlockModel, new SecretUnlockModel());
            moduleManager.AddModel(ModelConst.SecretAlbumsNextModel, new SecretAlbumsNextModel());
            moduleManager.AddModel(ModelConst.SecretDetailModel, new SecretDetailModel());
            moduleManager.AddModel(ModelConst.VipClubViewModel, new VipClubViewModel());
            moduleManager.AddModel(ModelConst.LiveUnlockModel, new LiveUnlockModel());
            moduleManager.AddModel(ModelConst.SubUnlockModel, new SubUnlockModel());
            moduleManager.AddModel(ModelConst.ScAlbumLockModel, new ScAlbumLockModel());
            moduleManager.AddModel(ModelConst.UnlockTipsModel, new UnlockTipsModel());
            moduleManager.AddModel(ModelConst.NetworkErrorTipsModel, new NetworkErrorTipsModel());
            moduleManager.AddModel(ModelConst.GoldRewardModel, new GoldRewardModel());
            moduleManager.AddModel(ModelConst.ChatChooseModel, new ChatChooseModel());
            moduleManager.AddModel(ModelConst.ChatModel, new ChatModel());
            moduleManager.AddModel(ModelConst.ChatNumberModel, new ChatNumberModel());
            moduleManager.AddModel(ModelConst.ChatUnlockModel, new ChatUnlockModel());
            moduleManager.AddModel(ModelConst.UnlockLevelNewModel, new UnlockLevelNewModel());
            moduleManager.AddModel(ModelConst.BroadcastModel, new BroadcastModel());
            moduleManager.AddModel(ModelConst.EggViewModel, new EggViewModel());
        }
        public static void AutoRegisterUICtrl()
        {
            ModuleManager moduleManager = ModuleManager.Instance;
            moduleManager.AddUICtrl(UICtrlConst.RewardAniUICtrl, new RewardAniUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.GameLoginUICtrl, new GameLoginUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.JoastUICtrl, new JoastUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.LoadingUICtrl, new LoadingUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.AdcomingUICtrl, new AdcomingUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.MenuUICtrl, new MenuUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.LanguageViewUICtrl, new LanguageViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.NetLoadingUICtrl, new NetLoadingUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.OpenBgUICtrl, new OpenBgUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.PrivacyUICtrl, new PrivacyUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.RewardUICtrl, new RewardUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.RainPlayUICtrl, new RainPlayUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.ChoosePropUICtrl, new ChoosePropUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.BuyPropUICtrl, new BuyPropUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.GameResultUICtrl, new GameResultUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.AddViewUICtrl, new AddViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.OpenGameUICtrl, new OpenGameUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.NewTaskUICtrl, new NewTaskUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.GetTaskRewardUICtrl, new GetTaskRewardUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.RewardboxUICtrl, new RewardboxUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.PayloadingUICtrl, new PayloadingUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.FirstRewardUICtrl, new FirstRewardUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.HallUICtrl, new HallUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.FXWndUICtrl, new FXWndUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.SignInViewUICtrl, new SignInViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.WheelViewUICtrl, new WheelViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.PassViewUICtrl, new PassViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.PassunlockUICtrl, new PassunlockUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.BuygoldUICtrl, new BuygoldUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.MainTabUICtrl, new MainTabUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.MailViewUICtrl, new MailViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.PersonViewUICtrl, new PersonViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.GuideViewUICtrl, new GuideViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.TipsViewUICtrl, new TipsViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.SecretAlbumsUICtrl, new SecretAlbumsUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.SecretUnlockUICtrl, new SecretUnlockUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.SecretAlbumsNextUICtrl, new SecretAlbumsNextUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.SecretDetailUICtrl, new SecretDetailUICtrl());

            moduleManager.AddUICtrl(UICtrlConst.RecordViewUICtrl, new RecordViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.ThreeDaysGiftUICtrl, new ThreeDaysGiftUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.RewardMulNewUICtrl, new RewardMulNewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.LuckyPackUICtrl, new LuckyPackUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.NewEndUICtrl, new NewEndUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.UnlockLevelUICtrl, new UnlockLevelUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.AlubumUICtrl, new AlubumUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.AlbumDetailUICtrl, new AlbumDetailUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.LiveUICtrl, new LiveUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.LiveDetailUICtrl, new LiveDetailUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.VipClubViewUICtrl, new VipClubViewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.LiveUnlockUICtrl, new LiveUnlockUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.SubUnlockUICtrl, new SubUnlockUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.ScAlbumLockUICtrl, new ScAlbumLockUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.UnlockTipsUICtrl, new UnlockTipsUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.NetworkErrorTipsUICtrl, new NetworkErrorTipsUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.GoldRewardUICtrl, new GoldRewardUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.ChatChooseUICtrl, new ChatChooseUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.ChatUICtrl, new ChatUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.ChatNumberUICtrl, new ChatNumberUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.ChatUnlockUICtrl, new ChatUnlockUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.UnlockLevelNewUICtrl, new UnlockLevelNewUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.BroadcastUICtrl, new BroadcastUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.EggViewUICtrl, new EggViewUICtrl());
        }

        public static void AutoRegisterCtrl()
        {
            ModuleManager moduleManager = ModuleManager.Instance;
            moduleManager.AddCtrl(CtrlConst.RewardAniCtrl, new RewardAniCtrl());
            moduleManager.AddCtrl(CtrlConst.GameLoginCtrl, new GameLoginCtrl());
            moduleManager.AddCtrl(CtrlConst.JoastCtrl, new JoastCtrl());
            moduleManager.AddCtrl(CtrlConst.LoadingCtrl, new LoadingCtrl());
            moduleManager.AddCtrl(CtrlConst.MenuCtrl, new MenuCtrl());
            moduleManager.AddCtrl(CtrlConst.LanguageViewCtrl, new LanguageViewCtrl());
            moduleManager.AddCtrl(CtrlConst.AdcomingCtrl, new AdcomingCtrl());
            moduleManager.AddCtrl(CtrlConst.NetLoadingCtrl, new NetLoadingCtrl());
            moduleManager.AddCtrl(CtrlConst.OpenBgCtrl, new OpenBgCtrl());
            moduleManager.AddCtrl(CtrlConst.PrivacyCtrl, new PrivacyCtrl());
            moduleManager.AddCtrl(CtrlConst.RewardCtrl, new RewardCtrl());
            moduleManager.AddCtrl(CtrlConst.PreferencesDataReadyCtrl, new PreferencesDataReadyCtrl());
            moduleManager.AddCtrl(CtrlConst.RainPlayCtrl, new RainPlayCtrl());
            moduleManager.AddCtrl(CtrlConst.ChoosePropCtrl, new ChoosePropCtrl());
            moduleManager.AddCtrl(CtrlConst.BuyPropCtrl, new BuyPropCtrl());
            moduleManager.AddCtrl(CtrlConst.GameResultCtrl, new GameResultCtrl());
            moduleManager.AddCtrl(CtrlConst.AddViewCtrl, new AddViewCtrl());
            moduleManager.AddCtrl(CtrlConst.OpenGameCtrl, new OpenGameCtrl());
            moduleManager.AddCtrl(CtrlConst.NewTaskCtrl, new NewTaskCtrl());
            moduleManager.AddCtrl(CtrlConst.GetTaskRewardCtrl, new GetTaskRewardCtrl());
            moduleManager.AddCtrl(CtrlConst.RewardboxCtrl, new RewardboxCtrl());
            moduleManager.AddCtrl(CtrlConst.SignInViewCtrl, new SignInViewCtrl());
            moduleManager.AddCtrl(CtrlConst.PayloadingCtrl, new PayloadingCtrl());
            moduleManager.AddCtrl(CtrlConst.FirstRewardCtrl, new FirstRewardCtrl());
            moduleManager.AddCtrl(CtrlConst.HallCtrl, new HallCtrl());
            moduleManager.AddCtrl(CtrlConst.FXWndCtrl, new FXWndCtrl());
            moduleManager.AddCtrl(CtrlConst.WheelViewCtrl, new WheelViewCtrl());
            moduleManager.AddCtrl(CtrlConst.PassViewCtrl, new PassViewCtrl());
            moduleManager.AddCtrl(CtrlConst.PassunlockCtrl, new PassunlockCtrl());
            moduleManager.AddCtrl(CtrlConst.BuygoldCtrl, new BuygoldCtrl());
            moduleManager.AddCtrl(CtrlConst.MainTabCtrl, new MainTabCtrl());
            moduleManager.AddCtrl(CtrlConst.MailViewCtrl, new MailViewCtrl());
            moduleManager.AddCtrl(CtrlConst.PersonViewCtrl, new PersonViewCtrl());
            moduleManager.AddCtrl(CtrlConst.GuideViewCtrl, new GuideViewCtrl());
            moduleManager.AddCtrl(CtrlConst.TipsViewCtrl, new TipsViewCtrl());
            moduleManager.AddCtrl(CtrlConst.RecordViewCtrl, new RecordViewCtrl());
            moduleManager.AddCtrl(CtrlConst.ThreeDaysGiftCtrl, new ThreeDaysGiftCtrl());
            moduleManager.AddCtrl(CtrlConst.RewardMulNewCtrl, new RewardMulNewCtrl());
            moduleManager.AddCtrl(CtrlConst.LuckyPackCtrl, new LuckyPackCtrl());
            moduleManager.AddCtrl(CtrlConst.NewEndCtrl, new NewEndCtrl());
            moduleManager.AddCtrl(CtrlConst.UnlockLevelCtrl, new UnlockLevelCtrl());
            moduleManager.AddCtrl(CtrlConst.AlubumCtrl, new AlubumCtrl());
            moduleManager.AddCtrl(CtrlConst.AlbumDetailCtrl, new AlbumDetailCtrl());
            moduleManager.AddCtrl(CtrlConst.NewEndCtrl, new NewEndCtrl());
            moduleManager.AddCtrl(CtrlConst.UnlockLevelCtrl, new UnlockLevelCtrl());
            moduleManager.AddCtrl(CtrlConst.SecretAlbumsCtrl, new SecretAlbumsCtrl());
            moduleManager.AddCtrl(CtrlConst.SecretUnlockCtrl, new SecretUnlockCtrl());
            moduleManager.AddCtrl(CtrlConst.SecretAlbumsNextCtrl, new SecretAlbumsNextCtrl());
            moduleManager.AddCtrl(CtrlConst.SecretDetailCtrl, new SecretDetailCtrl());
            moduleManager.AddCtrl(CtrlConst.NewEndCtrl, new NewEndCtrl());
            moduleManager.AddCtrl(CtrlConst.UnlockLevelCtrl, new UnlockLevelCtrl());
            moduleManager.AddCtrl(CtrlConst.AlubumCtrl, new AlubumCtrl());
            moduleManager.AddCtrl(CtrlConst.AlbumDetailCtrl, new AlbumDetailCtrl());
            moduleManager.AddCtrl(CtrlConst.LiveCtrl, new LiveCtrl());
            moduleManager.AddCtrl(CtrlConst.LiveDetailCtrl, new LiveDetailCtrl());
            moduleManager.AddCtrl(CtrlConst.VipClubViewCtrl, new VipClubViewCtrl());
            moduleManager.AddCtrl(CtrlConst.LiveUnlockCtrl, new LiveUnlockCtrl());
            moduleManager.AddCtrl(CtrlConst.SubUnlockCtrl, new SubUnlockCtrl());
            moduleManager.AddCtrl(CtrlConst.ScAlbumLockCtrl, new ScAlbumLockCtrl());
            moduleManager.AddCtrl(CtrlConst.UnlockTipsCtrl, new UnlockTipsCtrl());
            moduleManager.AddCtrl(CtrlConst.NetworkErrorTipsCtrl, new NetworkErrorTipsCtrl());
            moduleManager.AddCtrl(CtrlConst.GoldRewardCtrl, new GoldRewardCtrl());
            moduleManager.AddCtrl(CtrlConst.ChatChooseCtrl, new ChatChooseCtrl());
            moduleManager.AddCtrl(CtrlConst.ChatCtrl, new ChatCtrl());
            moduleManager.AddCtrl(CtrlConst.ChatNumberCtrl, new ChatNumberCtrl());
            moduleManager.AddCtrl(CtrlConst.ChatUnlockCtrl, new ChatUnlockCtrl());
            moduleManager.AddCtrl(CtrlConst.UnlockLevelNewCtrl, new UnlockLevelNewCtrl());
            moduleManager.AddCtrl(CtrlConst.BroadcastCtrl, new BroadcastCtrl());
            moduleManager.AddCtrl(CtrlConst.EggViewCtrl, new EggViewCtrl());
        }

        public static void AutoRegisterUIType()
        {
            ModuleManager moduleManager = ModuleManager.Instance;
            moduleManager.AddUIType(UIConst.RewardAniUI, typeof(RewardAniUI));
            moduleManager.AddUIType(UIConst.FXWndUI, typeof(FXWndUI));
            moduleManager.AddUIType(UIConst.GameLoginUI, typeof(GameLoginUI));
            moduleManager.AddUIType(UIConst.JoastUI, typeof(JoastUI));
            moduleManager.AddUIType(UIConst.LoadingUI, typeof(LoadingUI));
            // moduleManager.AddUIType(UIConst.MaskUI, typeof(MaskUI));
            moduleManager.AddUIType(UIConst.MenuUI, typeof(MenuUI));
            moduleManager.AddUIType(UIConst.LanguageViewUI, typeof(LanguageViewUI));
            moduleManager.AddUIType(UIConst.NetLoadingUI, typeof(NetLoadingUI));
            moduleManager.AddUIType(UIConst.OpenBgUI, typeof(OpenBgUI));
            moduleManager.AddUIType(UIConst.PrivacyUI, typeof(PrivacyUI));
            moduleManager.AddUIType(UIConst.RewardUI, typeof(RewardUI));
            moduleManager.AddUIType(UIConst.RainPlayUI, typeof(RainPlayUI));
            moduleManager.AddUIType(UIConst.ChoosePropUI, typeof(ChoosePropUI));
            moduleManager.AddUIType(UIConst.BuyPropUI, typeof(BuyPropUI));
            moduleManager.AddUIType(UIConst.AdcomingUI, typeof(AdcomingUI));
            moduleManager.AddUIType(UIConst.GameResultUI, typeof(GameResultUI));
            moduleManager.AddUIType(UIConst.AddViewUI, typeof(AddViewUI));
            moduleManager.AddUIType(UIConst.OpenGameUI, typeof(OpenGameUI));
            moduleManager.AddUIType(UIConst.NewTaskUI, typeof(NewTaskUI));
            moduleManager.AddUIType(UIConst.GetTaskRewardUI, typeof(GetTaskRewardUI));
            moduleManager.AddUIType(UIConst.RewardboxUI, typeof(RewardboxUI));
            moduleManager.AddUIType(UIConst.PayloadingUI, typeof(PayloadingUI));
            moduleManager.AddUIType(UIConst.FirstRewardUI, typeof(FirstRewardUI));
            moduleManager.AddUIType(UIConst.HallUI, typeof(HallUI));
            moduleManager.AddUIType(UIConst.SignInViewUI, typeof(SignInViewUI));
            moduleManager.AddUIType(UIConst.WheelViewUI, typeof(WheelViewUI));
            moduleManager.AddUIType(UIConst.PassViewUI, typeof(PassViewUI));
            moduleManager.AddUIType(UIConst.PassunlockUI, typeof(PassunlockUI));
            moduleManager.AddUIType(UIConst.BuygoldUI, typeof(BuygoldUI));
            moduleManager.AddUIType(UIConst.MainTabUI, typeof(MainTabUI));
            moduleManager.AddUIType(UIConst.MailViewUI, typeof(MailViewUI));
            moduleManager.AddUIType(UIConst.PersonViewUI, typeof(PersonViewUI));
            moduleManager.AddUIType(UIConst.GuideViewUI, typeof(GuideViewUI));
            moduleManager.AddUIType(UIConst.TipsViewUI, typeof(TipsViewUI));
            moduleManager.AddUIType(UIConst.RecordViewUI, typeof(RecordViewUI));
            moduleManager.AddUIType(UIConst.ThreeDaysGiftUI, typeof(ThreeDaysGiftUI));
            moduleManager.AddUIType(UIConst.RewardMulNewUI, typeof(RewardMulNewUI));
            moduleManager.AddUIType(UIConst.LuckyPackUI, typeof(LuckyPackUI));
            moduleManager.AddUIType(UIConst.SecretAlbumsUI, typeof(SecretAlbumsUI));
            moduleManager.AddUIType(UIConst.SecretUnlockUI, typeof(SecretUnlockUI));
            moduleManager.AddUIType(UIConst.SecretAlbumsNextUI, typeof(SecretAlbumsNextUI));
            moduleManager.AddUIType(UIConst.SecretDetailUI, typeof(SecretDetailUI));

            moduleManager.AddUIType(UIConst.NewEndUI, typeof(NewEndUI));
            moduleManager.AddUIType(UIConst.UnlockLevelUI, typeof(UnlockLevelUI));
            moduleManager.AddUIType(UIConst.AlubumUI, typeof(AlubumUI));
            moduleManager.AddUIType(UIConst.AlbumDetailUI, typeof(AlbumDetailUI));
            moduleManager.AddUIType(UIConst.LiveUI, typeof(LiveUI));
            moduleManager.AddUIType(UIConst.LiveDetailUI, typeof(LiveDetailUI));

            moduleManager.AddUIType(UIConst.VipClubViewUI, typeof(VipClubViewUI));

            moduleManager.AddUIType(UIConst.LiveUnlockUI, typeof(LiveUnlockUI));
            moduleManager.AddUIType(UIConst.SubUnlockUI, typeof(SubUnlockUI));
            moduleManager.AddUIType(UIConst.ScAlbumLockUI, typeof(ScAlbumLockUI));
            moduleManager.AddUIType(UIConst.UnlockTipsUI, typeof(UnlockTipsUI));
            moduleManager.AddUIType(UIConst.NetworkErrorTipsUI, typeof(NetworkErrorTipsUI));
            moduleManager.AddUIType(UIConst.GoldRewardUI, typeof(GoldRewardUI));
            moduleManager.AddUIType(UIConst.ChatChooseUI, typeof(ChatChooseUI));
            moduleManager.AddUIType(UIConst.ChatUI, typeof(ChatUI));
            moduleManager.AddUIType(UIConst.ChatNumberUI, typeof(ChatNumberUI));
            moduleManager.AddUIType(UIConst.ChatUnlockUI, typeof(ChatUnlockUI));
            moduleManager.AddUIType(UIConst.UnlockLevelNewUI, typeof(UnlockLevelNewUI));
            moduleManager.AddUIType(UIConst.BroadcastUI, typeof(BroadcastUI));
            moduleManager.AddUIType(UIConst.EggViewUI, typeof(EggViewUI));
        }
    }
}